Bug 241348 - [PATCH] devel/evdev-proto: add joystick.h
Summary: [PATCH] devel/evdev-proto: add joystick.h
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks: 241237 241351 241353 241354
  Show dependency treegraph
 
Reported: 2019-10-19 22:03 UTC by rozhuk.im
Modified: 2019-11-27 09:54 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (x11)
antoine: exp-run+


Attachments
add joystick.h (1.55 KB, patch)
2019-10-19 22:03 UTC, rozhuk.im
no flags Details | Diff
up to 5.3 (2.05 KB, patch)
2019-10-30 08:26 UTC, rozhuk.im
no flags Details | Diff
v2 (2.73 KB, patch)
2019-11-18 07:19 UTC, Tobias Kortkamp
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2019-10-19 22:03:40 UTC
Created attachment 208429 [details]
add joystick.h

This include file requires for at least 5 ports:
multimedia/kodi-addon-peripheral-joystick
multimedia/kodi-addon-peripheral.joystick-devel
sysutils/jstest-gtk
devel/sdl12
eboard/Makefile:RUN_DEPENDS+=	${LOCALBASE}/include/linux/joystick.h:devel/linux-js - broken now, devel/linux-js - removed

I will add PR to change this ports here.
Comment 1 Vladimir Kondratyev freebsd_committer 2019-10-29 23:39:40 UTC
LGTM, please bump port version to 5.3 too.
Comment 2 rozhuk.im 2019-10-30 08:26:18 UTC
Created attachment 208692 [details]
up to 5.3
Comment 3 Niclas Zeising freebsd_committer 2019-10-30 18:51:33 UTC
Do we need to bump portrevision on users?
Comment 4 Vladimir Kondratyev freebsd_committer 2019-10-30 19:50:27 UTC
(In reply to Niclas Zeising from comment #3)
> Do we need to bump portrevision on users?

devel/libevdev and devel/py-evdev should increment portrevision
Comment 5 rozhuk.im 2019-11-12 14:27:50 UTC
Should I update patch to increment devel/libevdev and devel/py-evdev portrevision?
Comment 6 Tobias Kortkamp freebsd_committer 2019-11-16 06:11:12 UTC
(In reply to rozhuk.im from comment #5)
Yes and let's request an exp-run afterwards to make it happen this year.
Comment 7 Tobias Kortkamp freebsd_committer 2019-11-18 07:19:44 UTC
Created attachment 209220 [details]
v2

Same as previous patch with bumps for libevdev and py-evdev.
Comment 8 Tobias Kortkamp freebsd_committer 2019-11-18 07:21:14 UTC
Assigning to portmgr for an exp-run.  Let's see if anything breaks by providing
linux/joystick.h
Comment 9 Antoine Brodin freebsd_committer 2019-11-27 09:44:49 UTC
Exp-run looks fine
Comment 10 commit-hook freebsd_committer 2019-11-27 09:53:37 UTC
A commit references this bug:

Author: tobik
Date: Wed Nov 27 09:53:12 UTC 2019
New revision: 518490
URL: https://svnweb.freebsd.org/changeset/ports/518490

Log:
  devel/evdev-proto: Update to 5.3

  There are currently 3 copies of joystick.h in the ports tree with
  more on the way.  Provide it in evdev-proto instead to avoid adding
  more copies and to allow removing the existing ones.

  PR:		241348
  Submitted by:	rozhuk.im@gmail.com
  Reviewed by:	wulf
  Approved by:	portmgr (antoine)
  Exp-run by:	antoine

Changes:
  head/devel/evdev-proto/Makefile
  head/devel/evdev-proto/distinfo
  head/devel/libevdev/Makefile
  head/devel/py-evdev/Makefile
Comment 11 Tobias Kortkamp freebsd_committer 2019-11-27 09:54:01 UTC
Thanks!